Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.cinema.io
Class AbstractSequenceInputParserExceptionHandler

    java.lang.Object
      |
      +--uk.ac.man.bioinf.apps.cinema.io.AbstractSequenceInputParserExceptionHandler

All Implemented Interfaces:
  ParserExceptionHandler

Direct Known Subclasses:
  FileSequenceInputParserExceptionHandler

public abstract class AbstractSequenceInputParserExceptionHandler
extends Object
implements ParserExceptionHandler

AbstractSequenceInputParserExceptionHandler provides methods so that the exceptions can be stored and at a later date shown all together. This is the intended methodology to be used for Cinema. Created: Fri Jun 16 14:06:51 2000

Version:
  $Id: AbstractSequenceInputParserExceptionHandler.java,v 1.3 2001/04/11 17:04:42 lord Exp $
Author:
  Julian Selley

Constructor Summary
`AbstractSequenceInputParserExceptionHandler()`

Method Summary
`void` | `clearExceptions()` Clears all exceptions that have been stored.
`ParserException[]` | `getParserExceptions()` Return the stored exceptions, so that they can be displayed all together.
`void` | `storeException(ParserException e)` Stores the exception, so that later a call can be made to getParserExceptions() in order to display all the exceptions together.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface uk.ac.man.bioinf.io.ParserExceptionHandler
`handleException`

Constructor Detail

### AbstractSequenceInputParserExceptionHandler

    public AbstractSequenceInputParserExceptionHandler()

Method Detail

### storeException

    public void storeException(ParserException e)

  Stores the exception, so that later a call can be made to getParserExceptions() in order to display all the exceptions together. The normal exception handler will just store the exception and allow a gap to be inserted in the sequence.

  Parameters:
    `e` - the parser exception

### getParserExceptions

    public ParserException[] getParserExceptions()

  Return the stored exceptions, so that they can be displayed all together.

  Returns:
    the exceptions

### clearExceptions

    public void clearExceptions()

  Clears all exceptions that have been stored.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD